/* Slider */
.slider {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
}

.slide {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

.slide.active {
    opacity: 1;
}

/* Desactiva la interaccion en slides inactivos */
.slide:not(.active) {
    pointer-events: none;
}

/* Activa la interaccion en los botones del slide activo */
.slide.active .btn {
    pointer-events: auto;
}

.slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.slide-text {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.75);
    color: #FFFFFF;
    text-align: center;
    padding: 20px;
    box-sizing: border-box;
    z-index: 1; /* Asegurate de que el z-index sea adecuado */
}

.slide-text h2 {
    font-family: 'Ubuntu', sans-serif;
    font-size: 2.5em;
    font-weight:400;
    margin-bottom: 20px;
    max-width: 90%;
    color: #FFFFFF;
}

.btn {
    font-family: 'Ubuntu', sans-serif;
    display: inline-block;
    padding: 10px 20px;
    background-color: #3d5083;
    color: #FFFFFF;
    text-decoration: none;
    border-radius: 5px;
}

/* Responsive: Slider */
@media (max-width: 767px) {
    .slide-text h2 {
        font-size: 1.5em;
    }
}